Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportParametersAction.MapValueProvider

    java.lang.Object
      com.jaspersoft.jasperserver.war.action.ReportParametersAction.InputValueProvider
          com.jaspersoft.jasperserver.war.action.ReportParametersAction.MapValueProvider

Enclosing class:
  ReportParametersAction

    protected static class ReportParametersAction.MapValueProvider

extends ReportParametersAction.InputValueProvider

Constructor Summary
`ReportParametersAction.MapValueProvider(java.util.Map values)`
`ReportParametersAction.MapValueProvider(java.util.Map values, ReportParametersAction.InputValueProvider parent)`

Method Summary
`protected java.lang.Object` | `getOwnValue(java.lang.String inputName)`
`protected boolean` | `hasOwnValue(java.lang.String inputName)`

Methods inherited from class com.jaspersoft.jasperserver.war.action.ReportParametersAction.InputValueProvider
`getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportParametersAction.MapValueProvider

    public ReportParametersAction.MapValueProvider(java.util.Map values)

### ReportParametersAction.MapValueProvider

    public ReportParametersAction.MapValueProvider(java.util.Map values,
                                                   ReportParametersAction.InputValueProvider parent)

Method Detail

### hasOwnValue

    protected boolean hasOwnValue(java.lang.String inputName)

  Specified by:
    `hasOwnValue` in class `ReportParametersAction.InputValueProvider`

### getOwnValue

    protected java.lang.Object getOwnValue(java.lang.String inputName)

  Specified by:
    `getOwnValue` in class `ReportParametersAction.InputValueProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.